class CreditModel {
  final int? credit;
  final int? freeCredit;
  final int? giftCredit;
  
  CreditModel({this.credit, this.freeCredit, this.giftCredit});

  CreditModel copyWith({
    int? credit,
    int? freeCredit,
    int? giftCredit,
  }) {
    return CreditModel(
      credit: credit ?? this.credit,
      freeCredit: freeCredit ?? this.freeCredit,
      giftCredit: giftCredit ?? this.giftCredit,
    );
  }
}
